<?php

namespace Drupal\extra_field_configuration_test\Plugin\ExtraField\Display;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\extra_field\Plugin\ExtraFieldDisplayBase;
use Drupal\extra_field\Plugin\ExtraFieldDisplayFormattedBase;

/**
 * Test extra formatted field.
 *
 * @ExtraFieldDisplay(
 *   id = "test_configurable_formatted_field",
 *   label = @Translation("Test Configurable Formatted Field"),
 *   deriver = "Drupal\extra_field_configuration\Plugin\Derivative\ExtraFieldConfigurationDeriver",
 * )
 */
class TestFormattedField extends ExtraFieldDisplayFormattedBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(ContentEntityInterface $entity) {
    return [
      '#markup' => 'Test Field',
    ];
  }

}
